CCUpdate (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs.optional.clearcase, class: CCUpdate

Package org.apache.tools.ant.taskdefs.optional.clearcase

# Class CCUpdate

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.apache.tools.ant.taskdefs.optional.clearcase.ClearCase
org.apache.tools.ant.taskdefs.optional.clearcase.CCUpdate

All Implemented Interfaces:
  `java.lang.Cloneable`

    public class CCUpdate
    extends ClearCase

Performs a ClearCase Update command.

The following attributes are interpreted:

Task attributes
Attribute | Values | Required
--- | --- | ---
viewpath | Path to the ClearCase view file or directory that the command will operate on | No
graphical | Displays a graphical dialog during the update | No
log | Specifies a log file for ClearCase to write to | No
overwrite | Specifies whether to overwrite hijacked files or not | No
rename | Specifies that hijacked files should be renamed with a .keep extension | No
currenttime | Specifies that modification time should be written as the current time. Either currenttime or preservetime can be specified. | No
preservetime | Specifies that modification time should preserved from the VOB time. Either currenttime or preservetime can be specified. | No
failonerr | Throw an exception if the command fails. Default is true | No

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static java.lang.String` | `FLAG_CURRENTTIME` | -ctime flag -- modified time is written as the current time
  `static java.lang.String` | `FLAG_GRAPHICAL` | -graphical flag -- display graphical dialog during update operation
  `static java.lang.String` | `FLAG_LOG` | -log flag -- file to log status to
  `static java.lang.String` | `FLAG_NOVERWRITE` | -noverwrite flag -- do not overwrite hijacked files
  `static java.lang.String` | `FLAG_OVERWRITE` | -overwrite flag -- overwrite hijacked files
  `static java.lang.String` | `FLAG_PRESERVETIME` | -ptime flag -- modified time is written as the VOB time
  `static java.lang.String` | `FLAG_RENAME` | -rename flag -- rename hijacked files with .keep extension

  ### Fields inherited from class org.apache.tools.ant.taskdefs.optional.clearcase.ClearCase

  `COMMAND_CHECKIN, COMMAND_CHECKOUT, COMMAND_LOCK, COMMAND_LSCO, COMMAND_MKATTR, COMMAND_MKBL, COMMAND_MKDIR, COMMAND_MKELEM, COMMAND_MKLABEL, COMMAND_MKLBTYPE, COMMAND_RMTYPE, COMMAND_UNCHECKOUT, COMMAND_UNLOCK, COMMAND_UPDATE`

  ### Fields inherited from class org.apache.tools.ant.Task

  `target, taskName, taskType, wrapper`

  ### Fields inherited from class org.apache.tools.ant.ProjectComponent

  `description, location, project`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `CCUpdate()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `execute()` | Executes the task.
  `boolean` | `getCurrentTime()` | Get current time status
  `boolean` | `getGraphical()` | Get graphical flag status
  `java.lang.String` | `getLog()` | Get log file
  `boolean` | `getOverwrite()` | Get overwrite hijacked files status
  `boolean` | `getPreserveTime()` | Get preserve time status
  `boolean` | `getRename()` | Get rename hijacked files status
  `void` | `setCurrentTime​(boolean ct)` | If true, modification time should be written as the current time.
  `void` | `setGraphical​(boolean graphical)` | If true, displays a graphical dialog during the update.
  `void` | `setLog​(java.lang.String log)` | Sets the log file where cleartool records the status of the command.
  `void` | `setOverwrite​(boolean ow)` | If true, overwrite hijacked files.
  `void` | `setPreserveTime​(boolean pt)` | If true, modification time should be preserved from the VOB time.
  `void` | `setRename​(boolean ren)` | If true, hijacked files are renamed with a .keep extension.

  ### Methods inherited from class org.apache.tools.ant.taskdefs.optional.clearcase.ClearCase

  `getClearToolCommand, getFailOnErr, getObjSelect, getViewPath, getViewPathBasename, run, runS, runS, setClearToolDir, setFailOnErr, setObjSelect, setViewPath`

  ### Methods inherited from class org.apache.tools.ant.Task

  `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

  ### Methods inherited from class org.apache.tools.ant.ProjectComponent

  `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### FLAG_GRAPHICAL

    public static final java.lang.String FLAG_GRAPHICAL
    -graphical flag -- display graphical dialog during update operation
    See Also:
      Constant Field Values

  - ### FLAG_LOG

    public static final java.lang.String FLAG_LOG
    -log flag -- file to log status to
    See Also:
      Constant Field Values

  - ### FLAG_OVERWRITE

    public static final java.lang.String FLAG_OVERWRITE
    -overwrite flag -- overwrite hijacked files
    See Also:
      Constant Field Values

  - ### FLAG_NOVERWRITE

    public static final java.lang.String FLAG_NOVERWRITE
    -noverwrite flag -- do not overwrite hijacked files
    See Also:
      Constant Field Values

  - ### FLAG_RENAME

    public static final java.lang.String FLAG_RENAME
    -rename flag -- rename hijacked files with .keep extension
    See Also:
      Constant Field Values

  - ### FLAG_CURRENTTIME

    public static final java.lang.String FLAG_CURRENTTIME
    -ctime flag -- modified time is written as the current time
    See Also:
      Constant Field Values

  - ### FLAG_PRESERVETIME

    public static final java.lang.String FLAG_PRESERVETIME
    -ptime flag -- modified time is written as the VOB time
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### CCUpdate

    public CCUpdate()

- ## Method Details

  - ### execute

    public void execute() throws BuildException
    Executes the task.

    Builds a command line to execute cleartool and then calls Exec's run method to execute the command line.

    Overrides:
      `execute` in class `Task`
    Throws:
      `BuildException` - if the command fails and failonerr is set to true

  - ### setGraphical

    public void setGraphical​(boolean graphical)
    If true, displays a graphical dialog during the update.
    Parameters:
      `graphical` - the status to set the flag to

  - ### getGraphical

    public boolean getGraphical()
    Get graphical flag status
    Returns:
      boolean containing status of graphical flag

  - ### setOverwrite

    public void setOverwrite​(boolean ow)
    If true, overwrite hijacked files.
    Parameters:
      `ow` - the status to set the flag to

  - ### getOverwrite

    public boolean getOverwrite()
    Get overwrite hijacked files status
    Returns:
      boolean containing status of overwrite flag

  - ### setRename

    public void setRename​(boolean ren)
    If true, hijacked files are renamed with a .keep extension.
    Parameters:
      `ren` - the status to set the flag to

  - ### getRename

    public boolean getRename()
    Get rename hijacked files status
    Returns:
      boolean containing status of rename flag

  - ### setCurrentTime

    public void setCurrentTime​(boolean ct)
    If true, modification time should be written as the current time. Either currenttime or preservetime can be specified.
    Parameters:
      `ct` - the status to set the flag to

  - ### getCurrentTime

    public boolean getCurrentTime()
    Get current time status
    Returns:
      boolean containing status of current time flag

  - ### setPreserveTime

    public void setPreserveTime​(boolean pt)
    If true, modification time should be preserved from the VOB time. Either currenttime or preservetime can be specified.
    Parameters:
      `pt` - the status to set the flag to

  - ### getPreserveTime

    public boolean getPreserveTime()
    Get preserve time status
    Returns:
      boolean containing status of preserve time flag

  - ### setLog

    public void setLog​(java.lang.String log)
    Sets the log file where cleartool records the status of the command.
    Parameters:
      `log` - the path to the log file

  - ### getLog

    public java.lang.String getLog()
    Get log file
    Returns:
      String containing the path to the log file